Page MenuHomePhabricator

Test client-side performance from Asia in preparation for Asia DC
Closed, ResolvedPublic

Description

We want to be able to measure and verify the change of performance for users located in Asia when we turn on the Asia Cache.

  • Add synthetics testing from one or more locations in Asia (need to go live a week or so before the switch so we have metrics to compare). With this test we will have waterfall graphs and videos to show the change.
  • We want to increase the RUM data from Asia during this period so we also can verify the change for real users.
  • Leverage catchpoint if its metrics are stable enough

Event Timeline

Peter created this task.Jun 29 2017, 8:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2017, 8:12 AM
Gilles triaged this task as High priority.Jun 30 2017, 5:56 PM
Gilles updated the task description. (Show Details)Jul 3 2017, 11:34 AM
Gilles added a subscriber: Gilles.Jul 3 2017, 11:36 AM

We tried looking at the new SpeedIndex metric on Catchpoint, which throttled internet and the metric varied too much (see screenshot below). We'll try uncapped to see if it can be more stable. Real mobile connections are an add-on we don't have, pricing for it is unclear. But if uncapped DSL is unreliable, there's no point looking into that.

Gilles moved this task from Inbox to Doing on the Performance-Team board.Jul 6 2017, 7:30 PM
Gilles assigned this task to Peter.Jul 12 2017, 7:16 PM
Krinkle renamed this task from Test user performance from Asia to validate changes when the Asia Cache goes live to Test client-side performance from Asia in preparation for Asia DC.Sep 12 2017, 8:40 AM
Gilles closed this task as Resolved.Sep 12 2017, 9:58 AM

The subtasks are enough to keep track of that work.